Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1124876 - el7 with NetworkManager: vdsm fails to remove dummy device
Summary: el7 with NetworkManager: vdsm fails to remove dummy device
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Dan Kenigsberg
QA Contact: Michael Burman
URL:
Whiteboard: network
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-07-30 14:16 UTC by Dan Kenigsberg
Modified: 2016-02-10 19:50 UTC (History)
7 users (show)

Fixed In Version: vt2.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 13:40:56 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30848 master MERGED net: Mark removed interfaces with NM_CONTROLLED=no Never
oVirt gerrit 30887 ovirt-3.5 MERGED net: Mark removed interfaces with NM_CONTROLLED=no Never
Red Hat Bugzilla 1115420 None None None Never

Internal Links: 1115420

Description Dan Kenigsberg 2014-07-30 14:16:45 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
0. install NetworkManager-config-server-0.9.9.1-25.git20140326.4dba720.el7_0.x86_64 and enable NM
1. ip link add dummy_10 type dummy
2. vdsClient -s 0 addNetwork bridge=jjj nics=dummy_10
3. vdsClient -s 0 delNetwork bridge=jjj nics=dummy_10 

Actual results:
MainProcess|Thread-15::DEBUG::2014-07-30 14:52:41,071::utils::594::root::(execCmd) /usr/sbin/ifup dummy_10 (cwd None)
MainProcess|Thread-15::DEBUG::2014-07-30 14:52:41,176::utils::614::root::(execCmd) FAILED: <err> = "Error: no device found for connection 'System dummy_10'.\n"; <rc> = 4

Expected results:
Success

Additional info:

Comment 2 Michael Burman 2014-09-07 13:06:54 UTC
Verified on - 3.5.0-0.10.master.el6ev


Note You need to log in before you can comment on or make changes to this bug.